2 Replies Latest reply: Apr 20, 2014 3:20 AM by lllaass
zlmnt Level 1 Level 1 (0 points)

i have an older mac mini the one with the disk slot in the front and i want to update it to a better mac os x it is running snow lepord 10.5.8 i cant run skype or any other programs of that nature


Mac mini, Mac OS X (10.5.8), i just got it from a friend today